Bug 1150614 - yast2-gpmc ignore a directory listing fail if the directory doesn't exist
yast2-gpmc ignore a directory listing fail if the directory doesn't exist
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: David Mulder
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-12 20:28 UTC by David Mulder
Modified: 2020-10-12 13:20 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Mulder 2019-09-12 20:28:54 UTC
gpmc was trying to list the PolicyDefinitions directory to lookup additional settings. On a new AD domain, this directory may not exist yet. Don't crash if it's missing.

  File "/tmp/.mount_admin-cJM3yz/usr/share/YaST2/clients/../include/gpmc/wizards.py", line 12, in <lambda>
    'gpme' : [(lambda lp, creds: GPME(lp, creds).Show()), lp, creds]
  File "/tmp/.mount_admin-cJM3yz/usr/share/YaST2/clients/../include/gpmc/dialogs.py", line 45, in Show
    self.__reset()
  File "/tmp/.mount_admin-cJM3yz/usr/share/YaST2/clients/../include/gpmc/dialogs.py", line 33, in __reset
    Wizard.SetContentsButtons('Group Policy Management Editor', self.__gpme_page(), 'Group Policy Management Editor', '', 'Close')
  File "/tmp/.mount_admin-cJM3yz/usr/share/YaST2/clients/../include/gpmc/dialogs.py", line 240, in __gpme_page
    HWeight(1, self.__policy_tree()),
  File "/tmp/.mount_admin-cJM3yz/usr/share/YaST2/clients/../include/gpmc/dialogs.py", line 370, in __policy_tree
    admin_templates = self.__fetch_admin_templates()
  File "/tmp/.mount_admin-cJM3yz/usr/share/YaST2/clients/../include/gpmc/dialogs.py", line 268, in __fetch_admin_templates
    for f in self.conn.list('../PolicyDefinitions/'):
  File "/tmp/.mount_admin-cJM3yz/usr/share/YaST2/clients/../include/gpmc/complex.py", line 420, in list
    return self.conn.list(path)
samba.NTSTATUSError: (3221225524, 'The object name is not found.')
Comment 1 David Mulder 2019-09-25 20:28:06 UTC
Resolved
Comment 2 OBSbugzilla Bot 2020-10-05 11:50:17 UTC
This is an autogenerated message for OBS integration:
This bug (1150614) was mentioned in
https://build.opensuse.org/request/show/839549 15.2 / yast2-gpmc
Comment 4 Swamp Workflow Management 2020-10-12 13:20:23 UTC
openSUSE-RU-2020:1661-1: An update that has 7 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1084864,1146898,1150614,1150616,1151733,1151738,1152357
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    yast2-gpmc-1.5.0-lp152.3.3.1